Anonymous Login
2019-07-21 06:50 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001446OpenClonkObjectspublic2016-01-20 08:45
ReporterShadow 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows 7 64bitOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001446: You can get stuck in material while a building is build
DescriptionIf a building is build, the material around it's base gets flattend, if you stand in a small pit, since the material was not flat you can get stuck, see screenshot.
Additional InformationFound on current snapshot (20151120-c247d6f145-win32-amd64-mingw)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004116

Sven2 (developer)

Last edited: 2015-11-20 22:15

View 2 revisions

I think it would be best if the clonk would just be able to get out of such situations somehow, because they can also arise e.g. from earthquakes. It also happens when building structures with solid areas like basements.

Maybe during movement, when the clonk is stuck but could get out of material by moving less than 50% shape size in one direction, it is just forced out?

(For a short time we had the roll-bug to take care of that! ;))

~0004552

ala (developer)

This has been fixed by Zapper, yes? - https://git.openclonk.org/openclonk.git/commit/4b398f95eb4be2ced03be4c12c2f1f8cc6177050

~0004576

Zapper (developer)

Yeah, I think I fixed that. Let's reopen it when it happens again.
+Notes

-Issue History
Date Modified Username Field Change
2015-11-20 22:02 Shadow New Issue
2015-11-20 22:02 Shadow File Added: Stuck.png
2015-11-20 22:14 Sven2 Note Added: 0004116
2015-11-20 22:15 Sven2 Note Edited: 0004116 View Revisions
2016-01-12 05:50 ala Note Added: 0004552
2016-01-13 21:58 Zapper Note Added: 0004576
2016-01-13 21:58 Zapper Status new => resolved
2016-01-13 21:58 Zapper Resolution open => fixed
2016-01-13 21:58 Zapper Assigned To => Zapper
+Issue History